Simple Machines Forum 1.1.3 and 1.0.11 released

Started by Thantos, June 24, 2007, 10:02:01 PM

Previous topic - Next topic

Thantos

Simple Machines is proud to announce the release of SMF 1.1.3.

In this release, a few small security issues have been addressed. Also, a few bugs that were found have been fixed.

We urge all users to upgrade to SMF 1.1.3 as soon as possible to take advantage of these fixes. A summary of the fixes is as follows:

  • Sending newsletters could cause a timeout on large boards.
  • Reporting a personal message needed some more sanitation.
  • Session fixation could, in rare cases, be applied - reported by David Vieira-Kurz.
  • Prevent recursive functions from causing a stack overflow in PHP - reported by Stefan Esser.
  • Fixed a bug causing some expressions to trigger an error in UTF-8 mode.
  • Quick edit wasn't updating the subject correctly if it was the first message.
  • The package manager could in rare cases get itself into a loop.
  • Characters weren't properly escaped in [html] parts of the signature
  • Quick edit didn't check whether a topic was being locked

For users currently running SMF 1.1.2, upgrading could not be easier. Simply log into your forum and visit your admin center - a notice should inform you an update is available. Follow the instructions to patch your release - this should not generally affect any modifications, language packs or themes you have installed. Alternatively download the attached patch file and upload to your "Packages" directory and visit the package manager to install this fix.

If you cannot upgrade using the package manager please follow the instructions posted in the Online Manual about installing and upgrading.

For users currently running SMF 1.0.10, a separate version has been released: 1.0.11. Just like the 1.1.x branch users, you can simply upgrade through the admin center or download and apply the attached patch.

Finally - please do not use this topic for any support requests. You will get a much more prompt response by visiting the relevant support board!

Thanks,

Simple Machines

b0x


Owdy

Former Lead Support Specialist

Tarvitsetko apua SMF foorumisi kanssa? Otan työtehtäviä vastaan, lue:http://www.simplemachines.org/community/index.php?topic=375918.0

silverf0x

i've got error here

Installations actions for "SMF 1.0.11 / 1.1.3 Update":
Installing this package will perform the following actions:
Type Action Description
1. Execute Modification ./index.php Test successful
2. Execute Modification ./Sources/ManageNews.php Test successful
3. Execute Modification ./Sources/PersonalMessage.php Test successful
4. Execute Modification ./Sources/Subs-Auth.php Test successful
5. Execute Modification ./Sources/Subs-Package.php Test failed
6. Execute Modification ./Sources/Subs.php Test successful
7. Execute Modification ./Sources/QueryString.php Test successful
8. Execute Modification ./Themes/default/xml_topic.js Test successful
9. Execute Modification ./Sources/Post.php Test successful
10. Execute Modification ./Sources/Display.php Test successful
11. Execute Modification ./Sources/Profile.php Test successful
12. Execute Modification ./Sources/LogInOut.php Test successful



Modification Packages
Mod Name Version
1. Ad Managment 2.3 [ Uninstall ] [ List Files ] [ Delete ]
2. SMF 1.1 RC2 Security Patch - 2 1.1 RC2 [ List Files ] [ Delete ]
3. SMF 1.0.11 / 1.1.3 Update 1.0 [ Apply Mod ] [ List Files ] [ Delete ]
4. VisualWarning 1.29 [ List Files ] [ Delete ]
5. SMF 1.0.7 / 1.1 RC2 Update 1.0 [ List Files ] [ Delete ]
6. SMF 1.0.11 / 1.1.3 Update 1.0 [ Apply Mod ] [ List Files ] [ Delete ]
7. TinyPortal 0.86 [ List Files ] [ Delete ]
8. SMF 1.0.9 and 1.1 RC3-1 Security Patch 1.0.8/1.1 RC3 [ List Files ] [ Delete ]
9. Users Online Today Mod 1.4.0 [ Apply Mod ] [ List Files ] [ Delete ]
10. YouTube BBC Tag (XHTML Compliant) 1.0 [ Uninstall ] [ List Files ] [ Delete ]
11. Enhanced Quick Reply TBA [ Uninstall ] [ List Files ] [ Delete ]
12. Frequency Bar 1.0 [ List Files ] [ Delete ]
13. BBC edit tag 1.0 [ List Files ] [ Delete ]
14. SMF 1.0.11 / 1.1.3 Update 1.0 [ Apply Mod ] [ List Files ] [ Delete ]
15. TinyPortal 0.983 [ Uninstall ] [ List Files ] [ Delete ]
16. TinyPortal 0.97 [ List Files ] [ Delete ]
17. Related Topics 1.1.1 [ Apply Mod ] [ List Files ] [ Delete ]
18. Custom Profile Field Mod 3.16 [ Uninstall ] [ List Files ] [ Delete ]
19. Enhanced Quick Reply TBA [ Uninstall ] [ List Files ] [ Delete ]
20. Moderator Activity Report for SMF1.1RC3 1.1b [ Apply Mod ] [ List Files ] [ Delete ]
21. SMF 1.1.2 Update Package 1.1.2 [ Uninstall ] [ List Files ] [ Delete ]
22. Custom Profile Field Mod 3.15 [ Upgrade ] [ List Files ] [ Delete ]
23. Related Topics 1.0.1 [ Apply Mod ] [ List Files ] [ Delete ]
Installed mods: current version older version


any idea for fix this?

thx
   

SleePy

silverf0x,

Try this..

Open Subs-Packages.php

Find (Should be at top):

* Software Version:           SMF 1.1.2                                           *


Replace with:

* Software Version:           SMF 1.1.2                                             *


It might be best to copy and paste it to be exact.. The thing is just missing 2 spaces before the last * there.
That should fix it though.

I noticed that it only occurs to those who upgraded from 1.1.1 to 1.1.2 through package manager.


Jeremy D — Site Team / SMF Developer
Support the SMF Support team!
Profiles:GitHub
Join us on IRC Libera.chat/#smf

silverf0x

i did it, fixed my problem

thanks a lot!!

upgraded

BuЯЯЯЯaK


Thantos

I have updated the patch file so that it'll hopefully work with both version lines in Subs-Package.php

davo88

I updated 1.1.2 to 1.1.3 via Package Manager. The update was successful but it still says "Powered by SMF 1.1.2" at the bottom of the screen.

Is that correct?

Zulfang

I can't upgrade from 1.1.2 to 1.1.3.

I downloaded the small update package from here, and uploaded and overwritten the files in the package multiple times, but when I access my upgrade.php, it keeps showing the following message:

QuoteThe upgrader found some old or outdated language files.

Please make certain you uploaded the new versions of all the files included in the package, even the theme and language files for the default theme.

Click here to try again.

P.S. How do you upgrade from package manager?

FinsandFur

Click your refresh button or change pages and it will correct itself.

Also Thantos, the update patch worked fine. I updated from 1.1.1 to 1.1.2 through Package Manager and now to 1.1.3 the same way with no issues what so ever.
Thanks a ton guys.  ;D

Nikki Sixx


FinsandFur

Zulfang, click the links in your Package Manager which are highlighted.

Zulfang

#13
I don't have to run upgrade.php? I can't get past upgrade.php.

And now when I access my package manager, nothing is highlighted, plus the admin center says I'm already running SMF 1.1.3, so the upgrade works just by overwriting the files? ?_? I'm confused. Lol.

OMG All my installed packages are gone. :(

SleePy

Quote from: Zulfang on June 25, 2007, 12:36:51 AM
I can't upgrade from 1.1.2 to 1.1.3.

I downloaded the small update package from here, and uploaded and overwritten the files in the package multiple times, but when I access my upgrade.php, it keeps showing the following message:

QuoteThe upgrader found some old or outdated language files.

Please make certain you uploaded the new versions of all the files included in the package, even the theme and language files for the default theme.

Click here to try again.

P.S. How do you upgrade from package manager?

Open Upgrade.php and find:
define('SMF_LANG_VERSION', '1.1.3');

Replace with:
define('SMF_LANG_VERSION', '1.1.2');

Some reason the upgrade.php got told to do updated language files but none changed.
Jeremy D — Site Team / SMF Developer
Support the SMF Support team!
Profiles:GitHub
Join us on IRC Libera.chat/#smf

Dannii

Installed perfectly. Great job once again.

Thantos, could you attach the package to the first post like you usually do?
"Never imagine yourself not to be otherwise than what it might appear to others that what you were or might have been was not otherwise than what you had been would have appeared to them to be otherwise."

Zulfang

Quote from: SleePy on June 25, 2007, 12:42:58 AM
Open Upgrade.php and find:
define('SMF_LANG_VERSION', '1.1.3');

Replace with:
define('SMF_LANG_VERSION', '1.1.2');

Some reason the upgrade.php got told to do updated language files but none changed.

Thanks. I can run upgrade.php now, but all my packages and changes made to the templates are gone. :(

SleePy

Zulfang,

Thats what running the updates do.
Their was a package manager update that could of been used. But if you have many mods installed it isn't likely to pass the tests to update correctly.

You will need to reapply all changes you have.
Jeremy D — Site Team / SMF Developer
Support the SMF Support team!
Profiles:GitHub
Join us on IRC Libera.chat/#smf

Zulfang


Thantos

Fixed the problem with the upgrade packages and attached the patch file to the first post.

Advertisement: